<a href="javascript://" class="js-btn-toggle-theme btn btn-sm btn-outline-primary theme-toggle me-2">
    🌓
    {{ T "btn_theme" }}
</a>

{{ if and (ne ($.Site.Language|upper) "EN") }}
<div class="dropdown d-inline-block">
    <button class="btn btn-sm btn-outline-primary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
        &#127760; {{ $.Site.Language|upper }}
    </button>

    <ul class="dropdown-menu">
        {{ if .IsTranslated }}
            {{ $len := (len .Translations) }}
            {{ range $index, $alt := .Translations }}
            <li lang="{{ $alt.Language }}">
                <a class="dropdown-item" rel="alternate" href="{{ $alt.RelPermalink }}" hreflang="{{ $alt.Language }}" lang="{{ $alt.Language }}">{{ $alt.Language.LanguageName }}</a>
            </li>
            {{ end }}
        {{ else }}
            {{ $len := (len .Site.Languages) }}
            {{ range $index, $lang := .Site.Languages }}
            <li lang="{{ $lang }}">
                {{ if ne $.Site.Language $lang }}
                <a class="dropdown-item" rel="alternate"  href="{{ $lang | relURL }}" hreflang="{{ $lang }}" lang="{{ $lang }}">{{ $lang.LanguageName }}</a>
                {{ end }}
            </li>
            {{ end }}
        {{ end }}
    </ul>
</div>
{{ end }}
